*** Auto generated by docgen.cmd ***  

## Copyright 
Copyright 2015 - 2020, Remy Gibert and the A2osX contributors. 

## MD4  
Return MD4 Hash for input String  

# C  
`void MD4 (const char* str, char* digest);`  

# ASM  
`>PUSHW str`  
`>PUSHW digest`  
`>LIBCALL hLIBCRYPT,LIBCRYPT.MD4`  

## RETURN VALUE  
CC  

## MD5  
Return MD5 Hash for input String  

# C  
`void MD5 (const char* str, char* digest);`  

# ASM  
`>PUSHW str`  
`>PUSHW digest`  
`>LIBCALL hLIBCRYPT,LIBCRYPT.MD5`  

## RETURN VALUE  
CC  

## MD4Init  
Initialize a MD4 computation  

# C  
`hMD4 MD4init();`  

# ASM  
`>LIBCALL hLIBCRYPT,LIBCRYPT.MD4Init`  

## RETURN VALUE  
A = hMem To S.MD4  

## MD5Init  
Initialize a MD5 computation  

# C  
`hMD5 MD5init();`  

# ASM  
`>LIBCALL hLIBCRYPT,LIBCRYPT.MD5Init`  

## RETURN VALUE  
A = hMem To S.MD5  

## MD4Update  
Add Data to MD4 computation  

# C  
`void MD4update (hMD4 MD4, char* data, int len);`  

# ASM  
`>PUSHB MD4`  
`>PUSHW data`  
`>PUSHW len`  
`>hLIBCRYPT,LIBCRYPT.MD4Update`  

## RETURN VALUE  

## MD5Update  
Add Data to MD5 computation  

# C  
`void MD5update (hMD5 MD5, char* data, int len);`  

# ASM  
`>PUSHB MD5`  
`>PUSHW data`  
`>PUSHW len`  
`>hLIBCRYPT,LIBCRYPT.MD5Update`  

## RETURN VALUE  

## MD4Finalize  

# C  
`void MD4finalize (hMD4 MD4, char* digest);`  

# ASM  
`>PUSHB MD4`  
`>PUSHW digest`  
`>LIBCALL hLIBCRYPT,LIBCRYPT.MD4Finalize`  

## RETURN VALUE  

## MD5Finalize  

# C  
`void MD5finalize (hMD5 MD5, char* digest);`  

# ASM  
`>PUSHB MD5`  
`>PUSHW digest`  
`>LIBCALL hLIBCRYPT,LIBCRYPT.MD5Finalize`  

## RETURN VALUE  

## HMACMD5  
Return HMACMD5 Hash for input String  

# C  
`void HMACMD5(const char* str, const char* key, char* digest);`  

# ASM  
`>PUSHW str`  
`>PUSHW key`  
`>PUSHW digest`  
`>LIBCALL hLIBCRYPT,LIBCRYPT.HMACMD5`  

## RETURN VALUE  
CC  

## License
A2osX is licensed under the GNU General Public License.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

The full A2osX license can be found **[Here](../LICENSE)**.

*** End of Auto generated file ***  
